Bug 819707 - RFE - Press "Enter" should perform searching in Add Team Member -> Find Users To add
RFE - Press "Enter" should perform searching in Add Team Member -> Find Users...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity low
: ---
: 1.6.1
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 23:06 EDT by Ding-Yi Chen
Modified: 2012-09-03 20:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.6.1-SNAPSHOT (20120628-0014)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 01:27:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-05-07 23:06:24 EDT
Description of problem:

For language team adminstration,
when using the "Find Users To Add" dialog in Add Team Member,
after type the search string, it is expected that "Enter" should preform the search.

However, current action is just the "Find Users To Add" dialog, which is inconventient.

Version-Release number of selected component (if applicable):
Zanata version 1.6.0-alpha-3-SNAPSHOT (20120508-0019)

How reproducible:
Always


Steps to Reproduce:
1. Sign as admin or language coordinator
2. Click "Languages" at menu bar.
3. Select a language group.
4. Click "Add Team Member"
5. "Find Users To Add" dialog should be opened at this point.
6. Type 'd' and press enter in search field
  
Actual results:
"Find Users To Add" dialog is closed

Expected results:
Username and name that contains 'd' should be listed in Search results
Comment 2 Sean Flanigan 2012-06-27 01:48:04 EDT
I think this is trivial enough that it doesn't need to be in the release notes.
Comment 3 Ding-Yi Chen 2012-06-27 21:15:58 EDT
Verified with:Zanata version 1.6.1-SNAPSHOT (20120628-0014)
Zanata version 1.7-SNAPSHOT (20120626-0025)

Note You need to log in before you can comment on or make changes to this bug.